/***********************************************************************
* File Name    : AR_LIB_SHIFT.h
* Version      : Rev. 1
* Device(s)    : R5F104ML
* Tool-Chain   : CCRL
* Description  : This file implements Arduino library.
* Creation Date: 2022/05/31
********************************************************************************/

#define MSBFIRST ( 0x01 )
#define LSBFIRST ( 0x00 )

void shiftOut(uint8_t dataPin, uint8_t clockPin, uint8_t bitOrder, uint8_t value);
uint8_t shiftIn(uint8_t dataPin, uint8_t clockPin, uint8_t bitOrder);
